OracleServer (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.db.oracle.OracleServer interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.db.oracle
Interface OracleServer

All Superinterfaces:
  ConfigurationItem, LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable

    public interface OracleServer

extends LogicalElement, ConfigurationItem

Represents an instance of the Oracle Server.

Naming Rules:
  0="host,configFile" 1="managedSystemName"
Persistable:
  true
Table Name:
  ORCLSRVR
Display Name:
  host,configFile

Field Summary

Fields inherited from interface com.collation.platform.model.topology.core.ManagedElement
`IBM_COPYRIGHT`

Fields inherited from interface com.collation.platform.model.topology.process.itil.ConfigurationItem
`IBM_COPYRIGHT`

Method Summary
`LogicalContent[]` | `getConfigContents()`
`ConfigFile` | `getConfigFile()`
`ComputerSystem` | `getHost()`
`OracleInstance[]` | `getInstances()`
`OracleListener[]` | `getListeners()`
`boolean` | `hasConfigContents()`
`boolean` | `hasConfigFile()`
`boolean` | `hasHost()`
`boolean` | `hasInstances()`
`boolean` | `hasListeners()`
`void` | `setConfigContents(LogicalContent[] contents)`
`void` | `setConfigFile(ConfigFile cf)`
`void` | `setHost(ComputerSystem host)`
`void` | `setInstances(OracleInstance[] insts)`
`void` | `setListeners(OracleListener[] listeners)`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Methods inherited from interface com.collation.platform.model.topology.process.itil.ConfigurationItem
`getAssetID, getAssetTag, getCICategory, getConfigLastUpdate, getLastAuditState, getLastAuditTime, getLastLifecycleStateTime, getLifecycleState, getPrimaryOwner, hasAssetID, hasAssetTag, hasCICategory, hasConfigLastUpdate, hasLastAuditState, hasLastAuditTime, hasLastLifecycleStateTime, hasLifecycleState, hasPrimaryOwner, setAssetID, setAssetTag, setCICategory, setConfigLastUpdate, setLastAuditState, setLastAuditTime, setLastLifecycleStateTime, setLifecycleState, setPrimaryOwner`

Method Detail

### getHost

    ComputerSystem getHost()
                           throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.RunsOn" reverse="false"

### setHost

    void setHost(ComputerSystem host)

### hasHost

    boolean hasHost()

### getConfigFile

    ConfigFile getConfigFile()
                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.ConfiguredUsing" reverse="false"

### setConfigFile

    void setConfigFile(ConfigFile cf)

### hasConfigFile

    boolean hasConfigFile()

### getListeners

    OracleListener[] getListeners()
                                  throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="false"
  Containment Relationship:
    true

### setListeners

    void setListeners(OracleListener[] listeners)

### hasListeners

    boolean hasListeners()

### getInstances

    OracleInstance[] getInstances()
                                  throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="false"
  Containment Relationship:
    true

### setInstances

    void setInstances(OracleInstance[] insts)

### hasInstances

    boolean hasInstances()

### getConfigContents

    LogicalContent[] getConfigContents()
                                       throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setConfigContents

    void setConfigContents(LogicalContent[] contents)

### hasConfigContents

    boolean hasConfigContents()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD